using EVCB_OCPP.Packet.Features;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.Core
{
    public class ClearCacheRequest : IRequest
    {

        public ClearCacheRequest()
        {
            Action = Actions.ClearCache.ToString();
        }

        [JsonIgnore]
        public string Action { set; get; }


        public bool TransactionRelated()
        {
            return false;

        }

        public bool Validate()
        {
            return true;
        }
    }
}
